> For the complete documentation index, see [llms.txt](https://docs.nftgarden.app/jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftgarden.app/jp/api/nft-api/v1.2/transfer.md).

# NFT転送

## **transfernft** <a href="#transfernft" id="transfernft"></a>

NFTを転送します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="226">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/transfernft</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="231">パラメータ</th><th width="80">種類</th><th width="78">必須</th><th width="318">詳細</th></tr></thead><tbody><tr><td>contract_address</td><td>str</td><td>yes</td><td>コレクション(コントラクト)のアドレス</td></tr><tr><td>token_id</td><td>str</td><td>yes</td><td>対象NFTのトークンID</td></tr><tr><td>nft_gdn_id</td><td>str</td><td>Yes</td><td>対象NFTの<code>nft_gdn_id</code></td></tr><tr><td>sender_wallet_address</td><td>str</td><td>Yes</td><td>対象NFTの転送元</td></tr><tr><td>receiver_wallet_address</td><td>str</td><td>yes</td><td>対象NFTの転送先</td></tr></tbody></table>

## **blockchainパラメータに指定できるブロックチェーン** <a href="#parameter" id="parameter"></a>

{% hint style="warning" %}
`solana`と`solana-testnetは未対応です。`
{% endhint %}

{% hint style="info" %}
`nft_gdn_id`で指定したNFTと`token_id`が一致している、かつ所有者が`sender_wallet_address`である必要があります。
{% endhint %}

## **リクエストのサンプル** <a href="#sample-request" id="sample-request"></a>

```json
{
  "contract_address": "0x0000000000000000000000000000000000000000",
  "tokenid": "0",
  "nft_gdn_id": "5967ee21-067e-4f89-87de-feb84307c6d9",
  "sender_wallet_address": "0x2222222222222222222222222222222222222222",
  "receiver_wallet_address": "0x1111111111111111111111111111111111111111"
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "requests": {
      "contract_address": "0x0000000000000000000000000000000000000000",
      "receiver_wallet_address": "0x1111111111111111111111111111111111111111",
      "sender_wallet_address": "0x2222222222222222222222222222222222222222"
  },
  "response": {
      "transaction_gdn_id": "870f7312-55ec-4fdc-8dac-f555d8fbd225",
      "accepted_date": "2022-09-01 06:00:00"
  }
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Bad Request",
    "message": "contract_address and blockchain are inconsistent"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
